# $Revision: 1.48 $, $Date: 2009/10/02 08:28:26 $
Summary:	X.org video driver for NVIDIA video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych NVIDIA
Name:		xorg-driver-video-nv
Version:	2.1.15
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-nv-%{version}.tar.bz2
# Source0-md5:	1b22188bd9012a148206940708b52ea6
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.1.3
BuildRequires:	xorg-xserver-server-devel >= 1.2
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.2
Obsoletes:	X11-driver-nv < 1:7.0.0
Obsoletes:	XFree86-NVidia
Obsoletes:	XFree86-driver-nv < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for NVIDIA video adapters. It supports PCI and AGP
video cards based on the following chips:
- RIVA 128 (NV3),
- RIVA TNT (NV4),
- RIVA TNT2 (NV5),
- GeForce 256, Quadro (NV10),
- GeForce2, Quadro2 (NV11, NV15),
- GeForce3, Quadro DCC (NV20),
- nForce, nForce2 (NV1A, NV1F),
- GeForce4, Quadro4 (NV17, NV18, NV25, NV28),
- GeForce FX, Quadro FX (NV30, NV31, NV34, NV35, NV36, NV37, NV38),
- GeForce 6xxx (NV40, NV41, NV43, NV44, NV45, C51),
- GeForce 7xxx (G70, G71, G72, G73),
- GeForce 8xxx/9xxx (G80, G84, G86, G92, G94, G96, G98),
- GeForce GTX (GT200).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych NVIDIA. Obsługuje karty
PCI i AGP oparte na następujących układach:
- RIVA 128 (NV3),
- RIVA TNT (NV4),
- RIVA TNT2 (NV5),
- GeForce 256, Quadro (NV10),
- GeForce2, Quadro2 (NV11, NV15),
- GeForce3, Quadro DCC (NV20),
- nForce, nForce2 (NV1A, NV1F),
- GeForce4, Quadro4 (NV17, NV18, NV25, NV28),
- GeForce FX, Quadro FX (NV30, NV31, NV34, NV35, NV36, NV37, NV38),
- GeForce 6xxx (NV40, NV41, NV43, NV44, NV45, C51),
- GeForce 7xxx (G70, G71, G72, G73),
- GeForce 8xxx/9xxx (G80, G84, G86, G92, G94, G96, G98),
- GeForce GTX (GT200).

%prep
%setup -q -n xf86-video-nv-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.*
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/nv_drv.so
%{_mandir}/man4/nv.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-nv.spec,v $
Revision 1.48  2009/10/02 08:28:26  arekm
- release 2

Revision 1.47  2009/09/20 08:06:57  arekm
- up to 2.1.15

Revision 1.46  2009/08/20 06:28:25  amateja
- updated to 2.1.14

Revision 1.45  2009/04/07 18:52:54  arekm
- up to 2.1.13

Revision 1.44  2009/02/25 21:06:09  arekm
- release 4

Revision 1.43  2008/10/06 01:35:53  shadzik
- rel 3

Revision 1.42  2008/08/30 16:33:57  arekm
- release 2

Revision 1.41  2008/08/28 18:31:55  arekm
- up to 2.1.12

Revision 1.40  2008/08/27 07:08:28  arekm
- up to 2.1.11

Revision 1.39  2008/07/09 18:14:57  qboosh
- updated hw list

Revision 1.38  2008/07/01 16:09:46  arekm
- release 2

Revision 1.37  2008/07/01 06:24:11  arekm
- up to 2.1.10

Revision 1.36  2008/06/18 18:57:45  qboosh
- desc cosmetics

Revision 1.35  2008-05-10 08:50:27  qboosh
- updated to 2.1.9

Revision 1.34  2008-03-07 07:14:33  arekm
- up to 2.1.8

Revision 1.33  2008-01-26 17:27:38  arekm
- up to 2.1.7

Revision 1.32  2007/10/23 20:32:06  arekm
- up to 2.1.6

Revision 1.31  2007/09/22 09:54:30  arekm
- up to 2.1.5

Revision 1.30  2007/09/21 20:18:44  arekm
- up to 2.1.4

Revision 1.29  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.28  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.27  2007/08/16 05:55:27  arekm
- up to 2.1.3

Revision 1.26  2007/07/10 19:42:08  arekm
- up to 2.1.2

Revision 1.25  2007/07/03 17:14:04  qboosh
- updated hardware list, added README.G80 to doc

Revision 1.24  2007/07/02 20:45:15  arekm
- up to 2.1.1

Revision 1.23  2007/06/19 05:37:29  arekm
- up to 2.1.0

Revision 1.22  2007/05/17 15:35:13  arekm
- up to 2.0.96

Revision 1.21  2007/05/03 20:22:45  arekm
- up to 2.0.95 (randr 1.2 and exa support for geforce8)

Revision 1.20  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.19  2007/04/18 06:10:32  arekm
- up to 2.0.2

Revision 1.18  2007/03/28 06:55:49  arekm
- up to 2.0.1

Revision 1.17  2007/03/19 06:56:44  arekm
- up to 2.0.0; parallel build broken

Revision 1.16  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.14  2006/12/24 11:55:01  arekm
- up to 1.2.2.1

Revision 1.13  2006/12/16 15:30:12  arekm
- up to 1.2.2

Revision 1.12  2006/12/02 10:05:34  qboosh
- updated to 1.2.1
- BR: util-macros >= 1.1.3 (for PACKAGE_VERSION_*)

Revision 1.11  2006/07/03 08:23:48  qboosh
- updated to 1.2.0

Revision 1.10  2006/04/26 06:07:09  arekm
- up to 1.1.2.

Revision 1.9  2006/04/11 10:29:27  qboosh
- R: xorg-xserver-server, added missing TNT2 (NV5) to descs

Revision 1.8  2006/04/09 22:05:33  wiget
- updated to 1.1.1

Revision 1.7  2006/03/29 09:34:58  qboosh
- updated to 1.0.2.0

Revision 1.6  2006/01/09 11:51:20  qboosh
- 1.0.1.5 (X11R7.0 release)

Revision 1.5  2005/12/21 14:58:42  qboosh
- 1.0.1.4 (X11R7.0-RC4)

Revision 1.4  2005/12/07 15:22:32  qboosh
- 1.0.1.3 (X11R7.0-RC3)

Revision 1.3  2005/11/20 15:23:33  qboosh
- 1.0.1.2 (X11R7.0-RC2)

Revision 1.2  2005/10/30 11:50:33  qboosh
- more verbose descs

Revision 1.1  2005/10/27 10:29:37  qboosh
- new
